#
# spec file for package libatomic_ops
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libatomic_ops
Version:        7.2e
Release:        4.3
Summary:        A portable library for atomic memory operations
License:        GPL-2.0+ and MIT
Group:          Development/Languages/C and C++
Url:            http://www.hpl.hp.com/research/linux/atomic_ops/
Source:         http://www.hpl.hp.com/research/linux/atomic_ops/download/%{name}-%{version}.tar.gz
Patch1:         libatomic_ops-aarch64.patch
Patch2:         libatomic_ops-ppc64.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Provides implementations for atomic memory update operations on a
number of architectures. This allows direct use of these in reasonably
portable code. Unlike earlier similar packages, this one explicitly
considers memory barrier semantics, and allows the construction of code
that involves minimum overhead across a variety of architectures.

%package devel
Summary:        A portable library for atomic memory operations
Group:          Development/Languages/C and C++
Obsoletes:      libatomic-ops-devel < %{version}-%{release}
Provides:       libatomic-ops-devel = %{version}-%{release}

%description devel
Provides implementations for atomic memory update operations on a
number of architectures. This allows direct use of these in reasonably
portable code. Unlike earlier similar packages, this one explicitly
considers memory barrier semantics, and allows the construction of code
that involves minimum overhead across a variety of architectures.

%prep
%setup -q -n %{name}-7.2
%patch1 -p1
%patch2 -p1

%build
autoreconf -fvi
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
# remove unnecessary documents
rm -Rf "%{buildroot}/%{_datadir}/libatomic_ops"
# fix perms
chmod 644 doc/*.txt README COPYING AUTHORS ChangeLog

%check
%if !0%{?qemu_user_space_build:1}
make check %{?_smp_mflags}
%endif

%files devel
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog
%doc doc/*.txt
%{_libdir}/libatomic_ops*.a
%{_includedir}/atomic_ops/
%{_includedir}/atomic_ops*.h
%{_libdir}/pkgconfig/atomic_ops.pc

%changelog
* Thu May 15 2014 tchvatal@suse.com
- Version bump to 7.2e:
  * Various small fixes for 7.2 series.
- Cleanup with spec-cleaner.
* Mon Feb 10 2014 dvaleev@suse.com
- Drop incorrect ppc64le patch
- Force AO_load() to map to AO_load_acquire() for powerpc
- added patches:
  * libatomic_ops-ppc64.patch
- removed patches:
  * libatomic_ops-ppc64le.patch
* Mon Dec  2 2013 dvaleev@suse.com
- Fix build on ppc64le (add patch libatomic_ops-ppc64le.patch)
* Sun May 26 2013 jengelh@inai.de
- Update to upstream release 7.2d
- pkgconfig support, testsuite was fixed and no longer
  loops endlessy/crashes
- Transplant libatomic_ops-aarch64.patch from "gc" package
* Wed May 23 2012 jengelh@inai.de
- Rename package to upstream name (libatomic-ops-devel ->
  libatomic_ops)
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Tue Oct 18 2011 adrian@suse.de
- update to current 7.2alpha6 version
  * fixes armv7 builds
  * obsoletes all our patches
- run test cases, except when running in not thread safe qemu
- cleanup spec file
- add official URLs to home page and source
- use original upstream tar ball
- fix build for sle 11
* Fri Dec 18 2009 jengelh@medozas.de
- enable parallel building
* Sat Jun 20 2009 coolo@novell.com
- fix build with automake 1.11
* Thu Aug  2 2007 tiwai@suse.de
- fix ppc bugs in PPC assembler codes.
* Tue Jun 12 2007 tiwai@suse.de
- fixed the build with s390.
* Fri Jun  8 2007 tiwai@suse.de
- initial version: 1.2
